Bug 603235 - Bluetoothd loops disabling and re-enabling adapter
Bluetoothd loops disabling and re-enabling adapter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 20:13 EDT by Brian C. Huffman
Modified: 2011-06-27 14:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian C. Huffman 2010-06-11 20:13:31 EDT
Description of problem:
Bluetoothd loops disabling and re-enabling adapter

Version-Release number of selected component (if applicable):
bluez-4.64-1.fc13.i686

How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Login
3. Watch applet enable/disable forever
  
Actual results:


Expected results:


Additional info:Jun 11 18:18:38 targee kernel: usb 5-1: new full speed USB device using uhci_hcd
 and address 2
Jun 11 18:18:40 targee kernel: usb 5-1: New USB device found, idVendor=0a12, idP
roduct=0001
Jun 11 18:18:40 targee kernel: usb 5-1: New USB device strings: Mfr=0, Product=0
, SerialNumber=0
Jun 11 18:18:40 targee kernel: Bluetooth: Core ver 2.15
Jun 11 18:18:40 targee kernel: NET: Registered protocol family 31
Jun 11 18:18:40 targee kernel: Bluetooth: HCI device and connection manager init
ialized
Jun 11 18:18:40 targee kernel: Bluetooth: HCI socket layer initialized
Jun 11 18:18:40 targee kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Jun 11 18:18:40 targee kernel: usbcore: registered new interface driver btusb
Jun 11 18:18:40 targee bluetoothd[2282]: Bluetooth daemon 4.64
Jun 11 18:18:40 targee bluetoothd[2283]: Starting SDP server
Jun 11 18:18:40 targee kernel: Bluetooth: L2CAP ver 2.14
Jun 11 18:18:40 targee kernel: Bluetooth: L2CAP socket layer initialized
Jun 11 18:18:40 targee bluetoothd[2283]: Parsing /etc/bluetooth/network.conf fai
led: No such file or directory
Jun 11 18:18:40 targee kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Jun 11 18:18:40 targee kernel: Bluetooth: BNEP filters: protocol multicast
Jun 11 18:18:40 targee kernel: Bridge firewalling registered
Jun 11 18:18:40 targee bluetoothd[2283]: bridge pan0 created
Jun 11 18:18:40 targee bluetoothd[2283]: Parsing /etc/bluetooth/input.conf faile
d: No such file or directory
Jun 11 18:18:40 targee bluetoothd[2283]: Parsing /etc/bluetooth/audio.conf faile
d: No such file or directory
Jun 11 18:18:40 targee bluetoothd[2283]: HCI dev 0 registered
Jun 11 18:18:40 targee kernel: Bluetooth: SCO (Voice Link) ver 0.6
Jun 11 18:18:40 targee kernel: Bluetooth: SCO socket layer initialized
Jun 11 18:18:40 targee NetworkManager[1334]: <warn> /sys/devices/virtual/net/pan
0: couldn't determine device driver; ignoring...
Jun 11 18:18:40 targee bluetoothd[2294]: Can't init device hci0: No such device 
(19)
Jun 11 18:18:40 targee bluetoothd[2283]: HCI dev 0 up
Jun 11 18:18:40 targee bluetoothd[2283]: Starting security manager 0
Jun 11 18:18:40 targee bluetoothd[2283]: Parsing /etc/bluetooth/serial.conf fail
ed: No such file or directory
Jun 11 18:18:40 targee kernel: Bluetooth: RFCOMM TTY layer initialized
Jun 11 18:18:40 targee kernel: Bluetooth: RFCOMM socket layer initialized
Jun 11 18:18:40 targee kernel: Bluetooth: RFCOMM ver 1.11
Jun 11 18:18:40 targee bluetoothd[2283]: probe failed with driver input-headset 
for device /org/bluez/2282/hci0/dev_C0_E4_22_25_1E_F0
Jun 11 18:18:40 targee bluetoothd[2283]: Adapter /org/bluez/2282/hci0 has been e
nabled
Jun 11 18:18:41 targee bluetoothd[2283]: HCI dev 0 down
Jun 11 18:18:41 targee bluetoothd[2283]: Adapter /org/bluez/2282/hci0 has been d
isabled
Jun 11 18:18:41 targee bluetoothd[2283]: Stopping security manager 0
Jun 11 18:18:41 targee bluetoothd[2283]: HCI dev 0 up
Jun 11 18:18:41 targee bluetoothd[2283]: Starting security manager 0
Jun 11 18:18:41 targee bluetoothd[2283]: Adapter /org/bluez/2282/hci0 has been e
nabled
Jun 11 18:18:41 targee bluetoothd[2283]: HCI dev 0 down
Jun 11 18:18:41 targee bluetoothd[2283]: Adapter /org/bluez/2282/hci0 has been d
isabled
Jun 11 18:18:41 targee bluetoothd[2283]: Stopping security manager 0
Jun 11 18:18:42 targee bluetoothd[2283]: HCI dev 0 up
Comment 1 Brian C. Huffman 2010-06-11 20:14:09 EDT
BTW - This didn't happen before the last update that included bluez.
Comment 2 Bug Zapper 2011-06-02 07:10:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:02:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.